//
//  DXRssImage.h
//  DXSearchers
//
//  Created by Oliver Kahrmann on 01.04.11.
//  Copyright 2011 DHELIXSoft. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface DXRssImage : NSObject {
	NSString *_url;
	NSString *_title;
	NSString *_link;
	
	uint _width;
	uint _height;
	NSString *_description;
	
	
}

- (NSString *)url;
- (void)setUrl:(NSString *)value;

- (NSString *)title;
- (void)setTitle:(NSString *)value;

- (NSString *)link;
- (void)setLink:(NSString *)value;

- (uint)width;
- (void)setWidth:(uint)value;

- (uint)height;
- (void)setHeight:(uint)value;

- (NSString *)description;
- (void)setDescription:(NSString *)value;


@end
static const uint DXRssImageWidthMax = 144;
static const uint DXRssImageHeightMax = 400;
static const uint DXRssImageWidthDefault = 88;
static const uint DXRssImageHeightDefault = 31;